Skip to main content
POST
/
contacts
/
folders
Create Contact Folder
curl --request POST \
  --url https://api.truedy.ai/api/public/v1/contacts/folders \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "John Doe",
  "phone_number": "+12125551234",
  "folder_id": "folder_123"
}
'
{
  "data": {
    "id": "contact_39b593b8-8",
    "name": "John Doe",
    "phone_number": "+12125551234",
    "folder_id": "folder_123",
    "created_at": "2026-03-03T20:30:21.310278Z"
  },
  "meta": {
    "request_id": "req_32e7531c-8",
    "timestamp": "2026-03-03T20:30:21.310278Z"
  }
}

Authorizations

Authorization
string
header
required

Your API key. Get it from the Truedy Dashboard. Send as: Authorization: Bearer <your_key>

Body

application/json
name
string
required

Folder name

Required string length: 1 - 100
description
string | null

Folder description

Maximum string length: 500

Response

Resource created successfully

Response body